Package wx :: Package lib :: Package floatcanvas :: Package Utilities :: Module BBox

[frames | no frames]

## Module wx.lib.floatcanvas.Utilities.BBox

A Bounding Box object and assorted utilities , subclassed from a numpy array

Classes
`BBox` | A Bounding Box object:

Function Summary
| ``asBBox`(data)` returns a BBox object.
| ``fromBBArray`(BBarray)` Builds a BBox object from an array of Bounding Boxes.
| ``fromPoints`(Points)` fromPoints (Points).

Function Details

### asBBox(data)

returns a BBox object.

If object is a BBox, it is returned unaltered

If object is a numpy array, a BBox object is returned that shares a view of the data with that array

### fromBBArray(BBarray)

Builds a BBox object from an array of Bounding Boxes. The resulting Bounding Box encompases all the included BBs.

The BBarray is in the shape: (Nx2x2) where BBarray[n] is a 2x2 array that represents a BBox

### fromPoints(Points)

fromPoints (Points).

reruns the bounding box of the set of points in Points. Points can be any python object that can be turned into a numpy NX2 array of Floats.

If a single point is passed in, a zero-size Bounding Box is returned.

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:46:41 2007 | http://epydoc.sf.net